# Version 24.24 - 2024-06-11

### Added 🆕

-   feat: 6942 hashtag in key : value summary by:jgallego
-   feat: #6957: Rename FetchedTags instance tag by:Javier Segarra
-   feat: refactor template by:Javier Segarra
-   feat: refs #6600 Add option to add comment for photo motivation by:jorgep
-   feat: refs #6942 test e2e tobook & toUnbook by:jorgep
-   feat: refs #6942 to book summary button & reactive value by:jorgep
-   feat: refs #6942 to unbook by:jorgep
-   feat: refs #6942 url update by:jorgep
-   feat: refs #6942 use correct currency in InvoiceIn components by:jorgep
-   feat: refs #6942 vat rate total by:jorgep
-   feat: refs #7494 new icons (7494-icons) by:alexm
-   feat: refs #7494 new icons by:alexm
-   feat: refs #7542 drop space by:jorgep
-   feat: refs #7542 empty by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: style by:Javier Segarra
-   style: color transparent when is fetive by:Javier Segarra
-   style: fix color when is empty by:Javier Segarra
-   style: reset poc style (6957_refactorFetechedTags) by:Javier Segarra
-   style: reset poc style by:Javier Segarra
-   style updates by:Javier Segarra

### Changed 📦

-   feat: refactor template by:Javier Segarra
-   perf: 6957 add color as new shared variable by:Javier Segarra
-   perf: 6957 change fetchedTags color by:Javier Segarra
-   perf: remove local tree variable by:Javier Segarra
-   refactor: add flat by:alexm
-   refactor: refs #6600 replace QInput to VnInput by:jorgep
-   refactor: refs #6652 improved defaulter section by:Jon
-   refactor: refs #6942 Fix getTotalAmount function to correctly calculate the total amount in InvoiceInDueDay.vue by:jorgep
-   refactor: refs #6942 new summary layout by:jorgep
-   refactor: refs #6942 store key & actions by:jorgep
-   refactor: refs #6942 summary by:jorgep
-   refactor: refs #6942 use router hook by:jorgep
-   refactor: refs #6942 WIP summary layout by:jorgep

### Fixed 🛠️

-   fix: 9-12 by:Javier Segarra
-   fix: defaulter icon by:alexm
-   fix: refs #5186 validation by:jorgep
-   fix: refs #6095 add reFfk null on search by:pablone
-   fix: refs #6942 cardDescriptor use store if its popup or different source data by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: refs #6942 drop comments by:jorgep
-   fix: refs #6942 drop console by:jorgep
-   fix: refs #6942 drop console.log by:jorgep
-   fix: refs #6942 e2e test (origin/6942-warmfix-fixFormModel) by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 fix emit on data saved by:jorgep
-   fix: refs #6942 fix emit on reset by:jorgep
-   fix: refs #6942 fix vncard by:jorgep
-   fix: refs #6942 formModel & CardDescriptor by:jorgep
-   fix: refs #6942 formModel watch changes & invoiceInCreate by:jorgep
-   fix: refs #6942 import by:jorgep
-   fix: refs #6942 reloading by:jorgep
-   fix: refs #6942 rollback by:jorgep
-   fix: refs #6942 selectable expense by:jorgep
-   fix: refs #6942 skip e2e tests by:jorgep
-   fix: refs #6942 table bottom highlight & drop isBooked field by:jorgep
-   fix: refs #6942 tests e2e by:jorgep
-   fix: refs #6942 tests & summary table spacing by:jorgep
-   fix: refs #6942 unit tests by:jorgep
-   fix: refs #6942 vnLocation by:jorgep
-   fix: refs #6942 wip: formModel by:jorgep
-   fix: refs #7542 use right panel by:jorgep
-   fix: searchbar redirect by:alexm
-   fix: style by:Javier Segarra
-   fix: WorkerCalendarItem by:Javier Segarra
-   mini fix by:wbuezas
-   refs #6111 clean code fix changes by:carlossa
-   refs #6111 fix merge, fix column by:carlossa
-   refs #6111 fix qtable, actions, scroll by:carlossa
-   refs #6111 fix routeList by:carlossa
-   refs #6111 fix sticky by:carlossa
-   refs #6111 fix trad remove logs by:carlossa
-   refs #6111 fix visibleColumns by:carlossa
-   refs #6111 routeList fix by:carlossa
-   refs #6332 fix calendar by:carlossa
-   refs #6332 fix colors by:carlossa
-   refs #6332 fix festive by:carlossa
-   refs #6820 fix BasicData Tickets by:carlossa
-   refs #6820 fix error front by:carlossa
-   refs #6820 fix traduction by:carlossa
-   refs #7391 fix textarea by:carlossa
-   refs #7396 fix summary by:carlossa
-   Search childs fix by:wbuezas
-   small fix by:wbuezas
-   style: fix color when is empty by:Javier Segarra

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2420.01]

### Added

-   (Item) => Se añade la opción de añadir un comentario del motivo de hacer una foto
-   (Worker) => Se añade la opción de crear un trabajador ajeno a la empresa
-   (Route) => Ahora se muestran todos los cmrs

## [2418.01]

## [2416.01] - 2024-04-18

### Added

-   (Worker) => Se crea la sección Taquilla
-   (General) => Se mantiene el filtro lateral en cualquier parte de la seccíon.

### Fixed

-   (General) => Se vuelven a mostrar los parámetros en la url al aplicar un filtro

## [2414.01] - 2024-04-04

### Added

-   (Tickets) => Se añade la opción de clonar ticket. #6951
-   (Parking) => Se añade la sección Parking. #5186

-   (Rutas) => Se añade el campo "servida" a la tabla y se añade también a los filtros. #7130

### Changed

### Fixed

-   (General) => Se corrige la redirección cuando hay 1 solo registro y cuando se aplica un filtro diferente al id al hacer una búsqueda general. #6893

## [2400.01] - 2024-01-04

### Added

### Changed

### Fixed

## [2350.01] - 2023-12-14

### Added

-   (Carros) => Se añade contador de carros. #6545
-   (Reclamaciones) => Se añade la sección para hacer acciones sobre una reclamación. #5654

### Changed

### Fixed

-   (Reclamaciones) => Se corrige el color de la barra según el tema y el evento de actualziar cantidades #6334

## [2253.01] - 2023-01-05

### Added

-   (Clientes) => Añadida nueva sección "Pagos Web" para gestionar los pagos de todos los clientes
-   (Tickets) => Añadida opción en el menú desplegable del ticket para enviar SMS al cliente
-   (Reclamaciones) => Añadida nueva sección "Registros de auditoría"
-   (Trabajadores) => Añadido módulo de trabajadores
-   (General) => Añadida barra de búsqueda general en los listados principales
-   (Vagones) => Añadido módulo de vagones

### Changed

-   Changed...
